<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>LibGE: src/CFGrammar.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="cropped-BDS-Logo-1.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibGE
   &#160;<span id="projectnumber">0.31.0</span>
   </div>
   <div id="projectbrief">A c++ GE implementation</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a>  </div>
  <div class="headertitle">
<div class="title">CFGrammar.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;cstdio&gt;</code><br />
<code>#include &lt;iostream&gt;</code><br />
<code>#include &lt;sstream&gt;</code><br />
<code>#include &lt;cstring&gt;</code><br />
<code>#include &lt;vector&gt;</code><br />
<code>#include &lt;stack&gt;</code><br />
<code>#include &lt;fstream&gt;</code><br />
<code>#include &quot;<a class="el" href="_c_f_grammar_8h_source.html">CFGrammar.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for CFGrammar.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_c_f_grammar_8cpp__incl.png" border="0" usemap="#src_2_c_f_grammar_8cpp" alt=""/></div>
<!-- MAP 0 -->
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a75239edcaa9003a88d0f2966408fdc60"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_c_f_grammar_8cpp.html#a75239edcaa9003a88d0f2966408fdc60">_CFGRAMMAR_CPP_</a></td></tr>
<tr class="separator:a75239edcaa9003a88d0f2966408fdc60"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3018c7600b7bb9866400596a56a57af7"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_c_f_grammar_8cpp.html#a3018c7600b7bb9866400596a56a57af7">START</a>&#160;&#160;&#160;0</td></tr>
<tr class="separator:a3018c7600b7bb9866400596a56a57af7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b6b718e9406dd4d2c873cd8f83ef482"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_c_f_grammar_8cpp.html#a3b6b718e9406dd4d2c873cd8f83ef482">START_RULE</a>&#160;&#160;&#160;1</td></tr>
<tr class="separator:a3b6b718e9406dd4d2c873cd8f83ef482"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a87d02aeda3ea8414390aac04b116a260"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_c_f_grammar_8cpp.html#a87d02aeda3ea8414390aac04b116a260">LHS_READ</a>&#160;&#160;&#160;2</td></tr>
<tr class="separator:a87d02aeda3ea8414390aac04b116a260"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6fc838c14c5e9fc17d6d8bb3d868ec2f"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_c_f_grammar_8cpp.html#a6fc838c14c5e9fc17d6d8bb3d868ec2f">PRODUCTION</a>&#160;&#160;&#160;3</td></tr>
<tr class="separator:a6fc838c14c5e9fc17d6d8bb3d868ec2f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a201063cc22328c814a3c29f728cc6a9e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_c_f_grammar_8cpp.html#a201063cc22328c814a3c29f728cc6a9e">START_OF_LINE</a>&#160;&#160;&#160;4</td></tr>
<tr class="separator:a201063cc22328c814a3c29f728cc6a9e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f656bb5bf878b305b18a60ac2c613a0"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_c_f_grammar_8cpp.html#a4f656bb5bf878b305b18a60ac2c613a0">ERROR_IN_GRAMMAR</a>&#160;&#160;&#160;{cerr &lt;&lt; &quot;Grammar not loaded.\n&quot;; clear(); setValidGrammar(false); phenotype.clear(); phenotype.setValid(false); return false;}</td></tr>
<tr class="separator:a4f656bb5bf878b305b18a60ac2c613a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="a75239edcaa9003a88d0f2966408fdc60"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a75239edcaa9003a88d0f2966408fdc60">&#9670;&nbsp;</a></span>_CFGRAMMAR_CPP_</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define _CFGRAMMAR_CPP_</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4f656bb5bf878b305b18a60ac2c613a0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4f656bb5bf878b305b18a60ac2c613a0">&#9670;&nbsp;</a></span>ERROR_IN_GRAMMAR</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ERROR_IN_GRAMMAR&#160;&#160;&#160;{cerr &lt;&lt; &quot;Grammar not loaded.\n&quot;; clear(); setValidGrammar(false); phenotype.clear(); phenotype.setValid(false); return false;}</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a87d02aeda3ea8414390aac04b116a260"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a87d02aeda3ea8414390aac04b116a260">&#9670;&nbsp;</a></span>LHS_READ</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define LHS_READ&#160;&#160;&#160;2</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6fc838c14c5e9fc17d6d8bb3d868ec2f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6fc838c14c5e9fc17d6d8bb3d868ec2f">&#9670;&nbsp;</a></span>PRODUCTION</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PRODUCTION&#160;&#160;&#160;3</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3018c7600b7bb9866400596a56a57af7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3018c7600b7bb9866400596a56a57af7">&#9670;&nbsp;</a></span>START</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define START&#160;&#160;&#160;0</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a201063cc22328c814a3c29f728cc6a9e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a201063cc22328c814a3c29f728cc6a9e">&#9670;&nbsp;</a></span>START_OF_LINE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define START_OF_LINE&#160;&#160;&#160;4</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3b6b718e9406dd4d2c873cd8f83ef482"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3b6b718e9406dd4d2c873cd8f83ef482">&#9670;&nbsp;</a></span>START_RULE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define START_RULE&#160;&#160;&#160;1</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
